ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0015311ClearOSclearos-frameworkpublic2017-06-13 07:512017-09-02 16:39
Reporterpbaldwin 
Assigned Topbaldwin 
PrioritynormalSeveritytweakReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.3.1 
Target Version7.4.0 Beta 1Fixed in Version7.4.0 Beta 1 
Summary0015311: Upgrade engine to CodeIgniter 3.1.x
DescriptionLong overdue.

The updated framework is in the ci-314 branch - https://github.com/clearos/clearos-framework/tree/ci-314 [^]

There are a few gotchas that need to be ironed out, but it's mostly usable after doing the upgrade. The "session" part of the upgrade (see link below) needs attention, but the other upgrade topics have been (mostly) taken care of.

https://codeigniter.com/user_guide/installation/upgrade_300.html [^]
TagsNo tags attached.
Attached Files

- Relationships
related to 0016711closedbchambers Ajax "POST's" cause CSRF 403's 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-06-13 07:51 pbaldwin New Issue
2017-06-13 07:52 pbaldwin Assigned To => pbaldwin
2017-06-13 07:52 pbaldwin Status new => confirmed
2017-08-18 15:23 pbaldwin Status confirmed => resolved
2017-08-18 15:23 pbaldwin Fixed in Version => 7.4.0 Beta 1
2017-08-18 15:23 pbaldwin Resolution open => fixed
2017-08-28 21:20 pbaldwin Relationship added has duplicate 0016711
2017-08-28 21:27 pbaldwin Relationship replaced related to 0016711
2017-09-02 16:39 pbaldwin Status resolved => closed